<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="My app description">
  <title>devchallenges.io | Weather App</title>

  <!-- Splash screen CSS -->
  <style>
    body.body--has-splash {
      position: relative;
      overflow: hidden;
      width: 100vw;
      height: 100vh;
      padding: 0;
      margin: 0;
    }

    body.body--has-splash #app {
      z-index: 0;
    }

    #splash {
      position: absolute;
      top: 0;
      left: 0;
      bottom: 0;
      right: 0;
      background-color: white;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      z-index: 100;

      transition: opacity linear 0.5s;
    }

    #splash.splash--fading {
      opacity: 0;
    }

    #splash.splash--hidden {
      display: none;
    }

    #splash__content {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: space-between;
    }

    #splash__logo {
      display: block;
      height: 1em;
      font-size: 160px;
      color: #e74c3c;
    }

    #splash__loader {
      margin-top: 40px;
    }

    #splash__loader__container {
      position: relative;
      display: flex;
      justify-content: center;
      align-items: center;
      width: 50px;
      height: 10px;
    }

    #splash__loader__ball-1,
    #splash__loader__ball-2,
    #splash__loader__ball-3 {
      position: absolute;
      top: 0;
      width: 10px;
      height: 10px;
      border-radius: 50%;
      background-color: #ecf0f1;
      animation: splash__impulse 1.25s linear infinite;
    }

    #splash__loader__ball-1 {
      left: 0;
    }

    #splash__loader__ball-2 {
      left: 20px;
      animation-delay: 0.125s;
    }

    #splash__loader__ball-3 {
      left: 40px;
      animation-delay: 0.25s;
    }

    @keyframes splash__impulse {
      0% {
        background: #ecf0f1;
        transform: scale(1);
        animation-timing-function: cubic-bezier(1,0,0.7,1);
      }
      40% {
          background: #e74c3c;
          transform: scale(1.5);
          animation-timing-function: cubic-bezier(0.3,0,0,1);
      }
      72.5% {
          background:#ecf0f1;
          transform: scale(1);
          animation-timing-function: linear;
      }
      100% {
          background: #ecf0f1;
          transform: scale(1);
      }
    }
  </style>
</head>
<body class="body--has-splash">

  <!-- App mount point -->
  <div id="app"></div>

  <!-- Splash screen -->
  <div id="splash">
    <div id="splash__content">
      <svg id="splash__logo" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 96 72" fill="none" stroke="currentColor" stroke-width="8"
        stroke-linecap="round" stroke-linejoin="round">
        <polyline points="30 14 8 36 30 58"></polyline>
        <polyline points="54 4 42 68"></polyline>
        <polyline points="66 14 90 36 66 58"></polyline>
      </svg>
    </div>

    <div id="splash__loader">
      <div id="splash__loader__container">
        <div id="splash__loader__ball-1"></div>
        <div id="splash__loader__ball-2"></div>
        <div id="splash__loader__ball-3"></div>
      </div>
    </div>
  </div>

  <script type="application/javascript">
    window.env = {
      API_ENDPOINT: '$WEATHER_API_ENDPOINT',
    };
  </script>

</body>
</html>
